| Home | Libraries | People | FAQ | More

## Function template operator!=

boost::container::operator!= — Checks if contents of two static_vectors are not equal.

## Synopsis

    // In header: <boost/container/static_vector.hpp>

    template<typename V, std::size_t C1, std::size_t C2>
      bool operator!=(static_vector< V, C1 > const & x,
                      static_vector< V, C2 > const & y);

## Description

Complexity. Linear O(N).

Parameters: |
`x` | The first `static_vector`.
`y` | The second `static_vector`.
Returns: | `true` if containers have different size or elements in both containers are not equal.